<template>
  <v-card>
    <v-card-title>Projects Overview</v-card-title>
    <v-card-text>
      <v-list-item-group>
        <v-list-item v-for="project in projects" :key="project.id">
          <v-list-item-content>
            <v-list-item-title>{{ project.name }}</v-list-item-title>
            <v-list-item-subtitle>Status: {{ project.status }}</v-list-item-subtitle>
          </v-list-item-content>
          <v-list-item-action>
            <v-icon color="green">mdi-check-circle</v-icon>
          </v-list-item-action>
        </v-list-item>
      </v-list-item-group>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      projects: [] // Populate with actual project data
    };
  }
};
</script>









<template>
  <v-card>
    <v-card-title>
      Projects Overview
      <v-spacer></v-spacer>
      <v-tooltip bottom>
        <template v-slot:activator="{ on, attrs }">
          <v-icon v-bind="attrs" v-on="on">mdi-information</v-icon>
        </template>
        <span>Information about your projects</span>
      </v-tooltip>
    </v-card-title>
    <v-card-subtitle>
      <v-chip-group v-model="chip" active-class="primary--text">
        <v-chip v-for="status in statuses" :key="status" :value="status">
          {{ status }}
        </v-chip>
      </v-chip-group>
    </v-card-subtitle>
    <v-card-text>
      <v-expansion-panels>
        <v-expansion-panel v-for="project in filteredProjects" :key="project.id">
          <v-expansion-panel-header>{{ project.name }}</v-expansion-panel-header>
          <v-expansion-panel-content>
            <v-row>
              <v-col cols="12" sm="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>Status: {{ project.status }}</v-list-item-title>
                    <v-list-item-subtitle>Last Updated: {{ project.lastUpdated }}</v-list-item-subtitle>
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" sm="6">
                <v-btn color="primary">View Details</v-btn>
                <v-btn color="error">Delete</v-btn>
              </v-col>
            </v-row>
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      projects: [/* ... */], // Replace with actual project data
      statuses: ['Active', 'Inactive', 'Completed'],
      chip: null
    };
  },
  computed: {
    filteredProjects() {
      if (!this.chip) return this.projects;
      return this.projects.filter(project => project.status === this.chip);
    }
  }
};
</script>
